#include "dialog.h"
#include "button.h"
#include "handler.h"
#include <string.h>

int
cui_simple_dialog_hdr(cui obj, int evt, int val, void *prm)
{
	cui_simple_dialog p = (cui_simple_dialog)prm;
	p->btn_result = cui_button_str_get(obj);
	cui_quit();
	return TRUE;
}

cui
cui_simple_dialog_new(cui parent, int x, int y, char *s, char *s_btn1, char *s_btn2)
{
	int n, n1, n2, x2, w, w2;
	cui obj = cui_alloc(sizeof(struct cui_simple_dialog));
	cui_simple_dialog p = (cui_simple_dialog)obj;

	n = strlen(s);
	n1 = strlen(s_btn1);
	n2 = strlen(s_btn2);
	w = 3 + n + 3;
	x2 = 4 + 1 + n1 + 1 + 3;
	w2 = x2 + 1 + n2 + 1 + 3;
	w = w2 > w ? w2 : w;
	
	cui_panel_init(obj, parent, x, y, w, 7);
	p->label = cui_label_new(obj, 3, 2, s);
	p->btn1 = cui_button_new(obj, 4, 4, s_btn1);
	p->btn2 = cui_button_new(obj, x2, 4, s_btn2);

	cui_bind(p->btn1, CUI_EVT_BUTTON, cui_simple_dialog_hdr, obj);
	cui_bind(p->btn2, CUI_EVT_BUTTON, cui_simple_dialog_hdr, obj);
	return obj;
}

/* EOF */
