#include "panel.h"
#include "esc.h"
#include "handler.h"
#include <stdio.h>

cui
cui_panel_new(cui parent, int x, int y, int w, int h)
{
	cui obj = cui_alloc(sizeof(struct cui_panel));
	cui_panel_init(obj, parent, x, y, w, h);
	return obj;
}

int
cui_panel_hdr(cui obj, int evt, int val, void *prm)
{
	cui_fill_rect(obj, 1, 0, obj->w-2, 1, '-', CUI_ESC_NORMAL);
	cui_fill_rect(obj, 1, obj->h-1, obj->w-2, 1, '-', CUI_ESC_NORMAL);
	cui_fill_rect(obj, 0, 1, 1, obj->h-2, '|', CUI_ESC_NORMAL);
	cui_fill_rect(obj, obj->w-1, 1, 1, obj->h-2, '|', CUI_ESC_NORMAL);
	cui_draw_str(obj, 0, 0, "+", CUI_ESC_NORMAL);
	cui_draw_str(obj, obj->w-1, 0, "+", CUI_ESC_NORMAL);
	cui_draw_str(obj, obj->w-1, obj->h-1, "+", CUI_ESC_NORMAL);
	cui_draw_str(obj, 0, obj->h-1, "+", CUI_ESC_NORMAL);
	return TRUE;
}

void
cui_panel_init(cui obj, cui parent, int x, int y, int w, int h)
{
	cui_base_init(obj, parent, x, y, w, h);
	cui_bind(obj, CUI_EVT_DRAW, cui_panel_hdr, NULL);
}

/* EOF */
